
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Python Module Index &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />

   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />



  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

   <h1>Python Module Index</h1>

   <div class="modindex-jumpbox">
   <a href="#cap-n"><strong>n</strong></a>
   </div>

   <table class="indextable modindextable">
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-n"><td></td><td>
       <strong>n</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-1" style="display: none" alt="-" /></td>
       <td>
       <a href="nl2declare.html#module-nl2declare"><code class="xref">nl2declare</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.actmatching.html#module-nl2declare.actmatching"><code class="xref">nl2declare.actmatching</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_bert"><code class="xref">nl2declare.actmatching.activity_matching_bert</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_word2vec"><code class="xref">nl2declare.actmatching.activity_matching_word2vec</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.application.html#module-nl2declare.application"><code class="xref">nl2declare.application</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.application.html#module-nl2declare.application.d4py"><code class="xref">nl2declare.application.d4py</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs"><code class="xref">nl2declare.constructs</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.action"><code class="xref">nl2declare.constructs.action</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.constraint_type"><code class="xref">nl2declare.constructs.constraint_type</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.declare_constraint"><code class="xref">nl2declare.constructs.declare_constraint</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.declare_model"><code class="xref">nl2declare.constructs.declare_model</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.interrelation"><code class="xref">nl2declare.constructs.interrelation</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.noun_phrase"><code class="xref">nl2declare.constructs.noun_phrase</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.relation_type"><code class="xref">nl2declare.constructs.relation_type</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.constructs.html#module-nl2declare.constructs.text_model"><code class="xref">nl2declare.constructs.text_model</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.evaluation.html#module-nl2declare.evaluation"><code class="xref">nl2declare.evaluation</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.evaluation.html#module-nl2declare.evaluation.evaluator"><code class="xref">nl2declare.evaluation.evaluator</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.lingproc.html#module-nl2declare.lingproc"><code class="xref">nl2declare.lingproc</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.lingproc.html#module-nl2declare.lingproc.declare_constructor"><code class="xref">nl2declare.lingproc.declare_constructor</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.lingproc.html#module-nl2declare.lingproc.text_parser"><code class="xref">nl2declare.lingproc.text_parser</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.html#module-nl2declare.test"><code class="xref">nl2declare.test</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc"><code class="xref">nl2declare.test.lingproc</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_declare_constructor"><code class="xref">nl2declare.test.lingproc.test_declare_constructor</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_text_parser"><code class="xref">nl2declare.test.lingproc.test_text_parser</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.html#module-nl2declare.test.test__main__"><code class="xref">nl2declare.test.test__main__</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.utils.html#module-nl2declare.test.utils"><code class="xref">nl2declare.test.utils</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_io"><code class="xref">nl2declare.test.utils.test_io</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_wordclasses"><code class="xref">nl2declare.test.utils.test_wordclasses</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.utils.html#module-nl2declare.utils"><code class="xref">nl2declare.utils</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.utils.html#module-nl2declare.utils.io"><code class="xref">nl2declare.utils.io</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="nl2declare.utils.html#module-nl2declare.utils.word_classes"><code class="xref">nl2declare.utils.word_classes</code></a></td><td>
       <em></em></td></tr>
   </table>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules.html">nl2declare</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
    </div>

    

    
  </body>
</html>